## ThunarChooserButton ThunarChooserButton |

## Functions

GtkWidget * | thunar_chooser_button_new ()
void | thunar_chooser_button_set_file ()

## Properties

ThunarFile * | file | Read / Write

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GtkBin
                        ╰── GtkComboBox
                            ╰── ThunarChooserButton

## Description

## Functions

### thunar_chooser_button_new ()

    GtkWidget *
    thunar_chooser_button_new (void);

Allocates a new ThunarChooserButton instance.

#### Returns

the newly allocated ThunarChooserButton.

### thunar_chooser_button_set_file ()

    void
    thunar_chooser_button_set_file (ThunarChooserButton *chooser_button,
                                    ThunarFile *file);

Associates `chooser_button` with the specified `file` .

#### Parameters

chooser_button | a ThunarChooserButton instance. |
file | a ThunarFile or `NULL`. |

## Property Details

### The `“file”` property

      “file”                     ThunarFile *

The ThunarFile for which a preferred application should be chosen.

Owner: ThunarChooserButton

Flags: Read / Write